package com.ym.mec.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_news_information):
 */
public class SysNewsInformation {

	/**  */
	private Long id;

	/** 标题 */
	@ApiModelProperty(value = "标题", required = true)
	private String title;

	/** 内容 */
	@ApiModelProperty(value = "内容", required = true)
	private String content;

	/** 封面图片 */
	@ApiModelProperty(value = "封面图片", required = false)
	private String coverImage;

	/** 视频封面图片 */
	@ApiModelProperty(value = "视频封面图片", required = false)
	private String videoCoverImage;

	/** 类型 */
	@ApiModelProperty(value = "类型,1精彩活动，2热门资讯,3banner类型", required = true)
	private Integer type;
	
	@ApiModelProperty(value = "子类型", required = false)
	private Integer subType;

	/** 状态（1-可见 0-不可见） */
	@ApiModelProperty(value = "状态（1-可见 0-不可见）", required = true)
	private NewsStatusEnum status;

	@ApiModelProperty(value = "链接地址", required = true)
	private String linkUrl;

	@ApiModelProperty(value = "跳转类型_bank,_slef", required = true)
	private String hrefTarget;

	@ApiModelProperty(value = "顺序号", required = true)
	private Integer order;
	
	@ApiModelProperty(value = "上线时间", required = false)
	private Date onlineTime;
	
	@ApiModelProperty(value = "下线时间", required = false)
	private Date offlineTime;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "备注", required = false)
	private String memo;

	private Boolean delFlag;

	private Integer tenantId;

	private String attribute1;
	
	private String attribute2;

	public String getLinkUrl() {
		return linkUrl;
	}

	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}

	public String getHrefTarget() {
		return hrefTarget;
	}

	public void setHrefTarget(String hrefTarget) {
		this.hrefTarget = hrefTarget;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return this.title;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setCoverImage(String coverImage) {
		this.coverImage = coverImage;
	}

	public String getCoverImage() {
		return this.coverImage;
	}

	public String getVideoCoverImage() {
		return videoCoverImage;
	}

	public void setVideoCoverImage(String videoCoverImage) {
		this.videoCoverImage = videoCoverImage;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getType() {
		return this.type;
	}

	public NewsStatusEnum getStatus() {
		return status;
	}

	public void setStatus(NewsStatusEnum status) {
		this.status = status;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	public Integer getTenantId() {
		return tenantId;
	}

	public void setTenantId(Integer tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getSubType() {
		return subType;
	}

	public void setSubType(Integer subType) {
		this.subType = subType;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public Date getOnlineTime() {
		return onlineTime;
	}

	public void setOnlineTime(Date onlineTime) {
		this.onlineTime = onlineTime;
	}

	public Date getOfflineTime() {
		return offlineTime;
	}

	public void setOfflineTime(Date offlineTime) {
		this.offlineTime = offlineTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
